Bug 210761 - X server dies upon resume from suspend on laptop
X server dies upon resume from suspend on laptop
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-14 09:50 EDT by Brian G. Anderson
Modified: 2008-05-06 20:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:57:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/Xorg.0.log (47.83 KB, text/plain)
2006-10-14 09:50 EDT, Brian G. Anderson
no flags Details
/var/log/messages output (10.45 KB, text/plain)
2006-10-14 09:50 EDT, Brian G. Anderson
no flags Details
log files (64.93 KB, text/plain)
2007-04-16 17:39 EDT, Martin Cheatle
no flags Details

  None (edit)
Description Brian G. Anderson 2006-10-14 09:50:10 EDT
Description of problem:
About 30% of the time the X server dies after a resume.  The net effect is that
when I open my laptop to resume I end up at the login screen instead of my
desktop.  I've attached the Xorg.0.log that I think shows the backtrace.  I've
also include the portion of /var/log/messages to show the suspend and resume
sequence;  there is a kernel stack trace in there, but I'm not sure if it is
relevant to X dying.


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.1.1-47.fc6


How reproducible:
About 30% of the time

Steps to Reproduce:
1. suspend laptop and resume
2.
3.
  
Actual results:
Get login screen

Expected results:
back to desktop I resumed at


Additional info:
I'm running an IBM T42p with an Pentium M and an ATI card [M20 NT] using the
xorg-X11-drv-ati drivers.
Comment 1 Brian G. Anderson 2006-10-14 09:50:10 EDT
Created attachment 138503 [details]
/var/log/Xorg.0.log
Comment 2 Brian G. Anderson 2006-10-14 09:50:54 EDT
Created attachment 138504 [details]
/var/log/messages output
Comment 3 Brian G. Anderson 2006-10-14 10:04:18 EDT
I created a report for the kernel message too #210763
Comment 4 Martin Cheatle 2007-04-16 17:39:22 EDT
Created attachment 152719 [details]
log files

I'm getting the same problem on a HP ZD8153ea
please find attached a copy of the messages log file from the time frame of
resume
the xorg.0.log file and pm-suspend.log file.

Hope this all helps.
Comment 5 Martin Cheatle 2007-04-23 11:55:39 EDT
Just a quick update, After doing a suspend this morning to travel to work I just
moved to a virtual console "ctrl+alt+F1" when i had finished and tried to go
back to th xserver it crashed and returned me to a login screen.

I then rebooted the system and tried the same thing again, this time it worked.

I then did a suspend, which resume ok and did the same thing, Surprise surprise
it failed and returned to the login screen.
Comment 6 Bug Zapper 2008-04-03 14:30:04 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-05-06 20:57:26 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.